# Record Class CASizeRange

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CASizeRange

Record Components:
  `sizeMinimum` - The minimum size (inclusive)
  `sizeMaximum` - The maximum size (inclusive)

public record CASizeRange(long sizeMinimum, long sizeMaximum) extends Record
A range of sizes in octets.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CASizeRange(long sizeMinimum, long sizeMaximum)`
  A range of sizes in octets.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `long`
  `sizeMaximum()`
  Returns the value of the `sizeMaximum` record component.
  `long`
  `sizeMinimum()`
  Returns the value of the `sizeMinimum` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CASizeRange

    public CASizeRange(long sizeMinimum, long sizeMaximum)
    A range of sizes in octets.
    Parameters:
      `sizeMinimum` - The minimum size (inclusive)
      `sizeMaximum` - The maximum size (inclusive)

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### sizeMinimum

    public long sizeMinimum()
    Returns the value of the `sizeMinimum` record component.
    Returns:
      the value of the `sizeMinimum` record component

  - ### sizeMaximum

    public long sizeMaximum()
    Returns the value of the `sizeMaximum` record component.
    Returns:
      the value of the `sizeMaximum` record component